Bug 524671 - (CVE-2008-1391) CVE-2008-1391 glibc: strfmon format string problem
CVE-2008-1391 glibc: strfmon format string problem
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://securityreason.com/achievement...
impact=none,public=20080325,reported=...
: Security
Depends On: 496386
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-21 12:59 EDT by Jan Lieskovsky
Modified: 2011-02-04 14:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 03:16:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-21 12:59:57 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1391 to
the following vulnerability:

Multiple integer overflows in libc in NetBSD 4.x, FreeBSD 6.x and 7.x, and probably other BSD and Apple Mac OS platforms allow context-dependent attackers to execute arbitrary code via large values of certain integer fields in the format argument to (1) the strfmon function in lib/libc/stdlib/strfmon.c, related to the GET_NUMBER macro; and (2) the printf function, related to left_prec and right_prec.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1391
https://bugzilla.novell.com/show_bug.cgi?id=375315
http://www.securityfocus.com/bid/36443/references
http://securityreason.com/achievement_securityalert/67
Comment 2 Jan Lieskovsky 2009-09-21 13:06:06 EDT
Statement:

Red Hat does not consider this to be a security issue. Properly written
application should not use arbitrary untrusted data as part of the format
string passed to functions as strfmon or printf family functions.
Comment 5 Tomas Hoger 2011-02-04 14:11:40 EST
glibc variants of this *BSD libc issues reported in SecurityReason Advisory 67 got separate CVE ids CVE-2009-4881 (bug #599095) and CVE-2009-4880 (bug #599070).

Note You need to log in before you can comment on or make changes to this bug.